Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::StereoSound Class Reference

ステレオサウンド More...

`#include <StereoSound.h>`

Inheritance diagram for Lamp::StereoSound:

List of all members.

## Public Member Functions
virtual void | setPan (float pan)
| パンの設定
virtual float | getPan () const
| パンの取得
virtual void | reset (Reset flags)
| リセット
virtual String | toString () const
| 文字列への変換
virtual bool | isStereoSound () const
| ステレオサウンドかどうか
## Protected Member Functions
| StereoSound (DirectSoundBuffer *soundBuffer)
| コンストラクタ
virtual | ~StereoSound ()
| デストラクタ
virtual void | copyStereoSoundData (StereoSound *destination)
| ステレオサウンドデータのコピー
## Friends
class | SoundManager

## Detailed Description

ステレオサウンド

Definition at line 36 of file StereoSound.h.

## Constructor & Destructor Documentation

Lamp::StereoSound::StereoSound | ( | DirectSoundBuffer * | soundBuffer | ) | `[protected]`

  | コンストラクタ Parameters:
  soundBuffer | サウンドバッファ
Definition at line 32 of file StereoSound.cpp. References Lamp::Sound::decibelToVolume(), DirectXFailed, and ErrorOut.

## Member Function Documentation

void Lamp::StereoSound::copyStereoSoundData | ( | StereoSound * | destination | ) | `[protected, virtual]`

  | ステレオサウンドデータのコピー Parameters:
  destination | コピー先ステレオサウンド
Definition at line 49 of file StereoSound.cpp. References Lamp::SoundBuffer::copySoundBufferData(). Referenced by Lamp::StaticSound::clone().

virtual float Lamp::StereoSound::getPan | ( |  | ) | const`[inline, virtual]`

| パンの取得 Returns: パン Definition at line 50 of file StereoSound.h. Referenced by toString().

virtual bool Lamp::StereoSound::isStereoSound | ( |  | ) | const`[inline, virtual]`

| ステレオサウンドかどうか Returns: ステレオサウンドならtrue Reimplemented from Lamp::Sound. Definition at line 73 of file StereoSound.h.

void Lamp::StereoSound::reset | ( | Reset | flags | ) | `[virtual]`

  | リセット Parameters:
  flags | リセットフラグ
Reimplemented from Lamp::Sound. Definition at line 77 of file StereoSound.cpp. References setPan(). Referenced by Lamp::SoundCache::playStereoSound().

void Lamp::StereoSound::setPan | ( | float | pan | ) | `[virtual]`

  | パンの設定 Parameters:
  pan | パンを-1.f(左)から1.f(右)の間で指定する
Definition at line 54 of file StereoSound.cpp. References Assert, DirectXFailed, ErrorOut, Lamp::SoundBuffer::getSoundBuffer(), and Lamp::Sound::volumeToDecibel(). Referenced by Lamp::SoundCache::playStereoSound(), and reset().

String Lamp::StereoSound::toString | ( |  | ) | const`[virtual]`

| 文字列への変換 Returns: 文字列 Reimplemented from Lamp::Sound. Definition at line 83 of file StereoSound.cpp. References Lamp::String::format(), Lamp::SoundBuffer::getBufferSize(), and getPan().

The documentation for this class was generated from the following files:

- StereoSound.h
- StereoSound.cpp